/* CSS for Navigation */
body{
  background-image: url('https://png.pngtree.com/background/20210709/original/pngtree-geometric-color-block-simple-light-blue-picture-image_910369.jpg');
  background-size: cover;
  background-position: center;

}
body > img{
  opacity: 0.1;
}


nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: #333;
  color: #fff;
  height: 50px;
  font-size: 18px;
}

nav a {
  text-decoration: none;
  color: #fff;
  font-size: 2rem;
  margin: 0;
  text-shadow: 2px 2px #000;
}

nav a:hover {
  text-decoration: underline;
}

/* CSS for Main Box */
#main-box {
  margin: 50px auto;
  width: 500px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  padding: 20px;
  text-align: center;
}

#main-box h1 {
  font-size: 30px;
  margin-bottom: 30px;
  text-transform: uppercase;
  letter-spacing: 2px;
  color: #333;
}

/* CSS for Form */
form {
  display: flex;
  flex-direction: column;
}

input[type="text"],
input[type="number"],
select {
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border: none;
  border-bottom: 2px solid #ccc;
  font-size: 16px;
  outline: none;
}

select option {
  color: #333;
}

.register-button {
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px;
  font-size: 16px;
  cursor: pointer;
}

.register-button:hover {
  background-color: #555;
}

/* CSS for Radio Buttons */
#desc {
  margin-bottom: 10px;
  font-size: 18px;
  text-align: left;
}

.employee-radio,
.student-radio {
  display: inline-block;
  margin-right: 20px;
  font-size: 16px;
}

/* CSS for Priority Select Box */
.priority {
  margin-bottom: 10px;
  font-size: 18px;
  text-align: left;
}

/* CSS for Vaccine Select Box */
.vaccine {
  margin-bottom: 10px;
  font-size: 18px;
  text-align: left;
}

/* CSS for Form Validation */
input:invalid,
select:invalid {
  border-bottom: 2px solid red;
}

input:valid,
select:valid {
  border-bottom: 2px solid #ccc;
}
@media only screen and (max-width: 600px) {
  /* Styles for mobile devices */
  body {
      background-color: #de3163;
  }
  
  /* Adjust styles for smaller screens */
  #main-box {
      padding: 20px;
  }
  
  /* Adjust font size for smaller screens */
  h1 {
      font-size: 1.5rem;
  }
  
  /* Make input fields full width on smaller screens */
  input[type="text"],
  input[type="number"],
  select {
      width: 100%;
  }
  
  /* Adjust margin and padding for form elements on smaller screens */
  form > * {
      margin: 10px 0;
      padding: 10px;
  }
  
  /* Adjust font size for radio buttons on smaller screens */
  .employee-radio,
  .student-radio {
      font-size: 0.8rem;
  }
  
  /* Adjust spacing for radio buttons on smaller screens */
  .employee-radio,
  .student-radio,
  input[type="radio"] {
      margin: 0 10px 0 0;
  }
  
  /* Adjust button styles on smaller screens */
  .register-button {
      width: 100%;
      font-size: 1.2rem;
  }
}